﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NMEA_Transport
{
    public delegate void PacketReceivedDelegate(NMEA_Packet packet);

    public interface ITransport
    {
        PacketReceivedDelegate PacketReceived { get; set; }

        void SendPacket(byte[] datagram);

        void SendComplexCommand(UInt32 pgn, byte[] datagram);
        void SendComplexRequest(UInt32 pgn, byte[] datagram);

        void SendIsoRequest(UInt32 pgn);
        void BroadcastIsoRequest(UInt32 pgn);

        String GetName();

        byte myAddress();

        void SetAudioAddress(byte address);
    }
}
