﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NMEA_Transport
{
    public class NMEACommon
    {
        public const Byte N2K_BROADCAST_ADDRESS             = 255;
        public const byte VOLUME_UP                         = 0;
        public const byte VOLUME_DOWN                       = 1;

        public const byte BYTE_ERROR_CODE                   = 0xFF;

        public const byte MUTE_OFF                          = 0;
        public const byte MUTE_ON                           = 1;

        public const uint N2K_PROD_INFO_ID                  = 126996;   // Product info
        public const uint N2K_CONF_INFO_ID                  = 126998;   // Configuration info

        public const uint N2K_COMMAND_GROUP_FUNCTION        = 126208;   // Complex command PGN
        public const uint N2K_REQUEST_GROUP_FUNCTION        = 126208;   // Request command PGN
        public const uint N2K_ACKNOWLEDGE_GROUP_FUNCTION    = 126208;   // Request command PGN

        public const int N2K_PROP_FP                        = 126720;	// Proprietary fast packet 0x1EF00
        public const int N2K_PROP_CLIENT                    = 126720;	// Fusion Client Proprietary 0x1EF00 (addressed)

        public const int N2K_PROP_SF                        = 61184;	// Proprietary Single Frame

        public const int ISO_REQUEST_ID                     = 59904;    // Standard ISO request PGN
        public const int ISO_AC_ID                          = 60928;    // ISO address claim PGN
        public const int N2K_ZONE_VOLUME_STATUS             = 127258;   // 130582
        public const int N2K_CURRENT_FILE_AND_STATUS        = 129029;   // 130569
        public const int N2K_SUPPORTED_SOURCE_DATA          = 129285;   // 130573

    }
}
