﻿using ActisenseComms.API;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NMEA_Transport
{
    public class NMEA_Packet
    {
        public string text;
        public uint PGN;
        public uint length;
        public byte src_address;
        public byte dest_address;
        public Byte[] data;

        public NMEA_Packet(NMEA2K.sMsg Msg)
        {
            text = string.Format("PGN: {0},  Source:{1},  Length:{2:000},  Timestamp: {3}",
                                    Msg.PGN, Msg.SrcAddr, Msg.Length, Msg.Timestamp);
            PGN = Msg.PGN;
            length = Msg.Length;
            src_address = Msg.SrcAddr;
            dest_address = Msg.DestAddr;

            data = new Byte[Msg.Length];
            int i;

            unsafe
            {
                for (i = 0; i < (Msg.Length); i++)
                {
                    data[i] = Msg.Data[i];
                }
            }
        }

        /* Override 'ToString' method that prints a text inside ListBox control */
        public override string ToString()
        {
            return text;
        }
    }

}
